Index: classes/DelphesClasses.cc
===================================================================
--- classes/DelphesClasses.cc	(revision 8707eebb4a19f7c7f1aa2ced879f327d1bd85a2e)
+++ classes/DelphesClasses.cc	(revision a446115ac0282fcc5f2b40e8f4a871e417c0b437)
@@ -121,5 +121,7 @@
   Charge(0), Mass(0.0),
   IsPU(0), IsRecoPU(0), IsConstituent(0),
-  BTag(0), TauTag(0), Eem(0.0), Ehad(0.0),
+  BTag(0), BTagAlgo(0), BTagDefault(0), BTagPhysics(0), BTagNearest2(0), BTagNearest3(0), BTagHeaviest(0), BTagHighestPt(0),
+  FlavorAlgo(0), FlavorDefault(0), FlavorPhysics(0), FlavorNearest2(0), FlavorNearest3(0), FlavorHeaviest(0), FlavorHighestPt(0),
+  TauTag(0), Eem(0.0), Ehad(0.0),
   DeltaEta(0.0), DeltaPhi(0.0),
   Momentum(0.0, 0.0, 0.0, 0.0),
@@ -242,4 +244,18 @@
   object.IsConstituent = IsConstituent;
   object.BTag = BTag;
+  object.BTagAlgo = BTagAlgo;
+  object.BTagDefault = BTagDefault;
+  object.BTagPhysics = BTagPhysics;
+  object.BTagNearest2 = BTagNearest2;
+  object.BTagNearest3 = BTagNearest3;
+  object.BTagHeaviest = BTagHeaviest;
+  object.BTagHighestPt = BTagHighestPt;
+  object.FlavorAlgo = FlavorAlgo;
+  object.FlavorDefault = FlavorDefault;
+  object.FlavorPhysics = FlavorPhysics;
+  object.FlavorNearest2 = FlavorNearest2;
+  object.FlavorNearest3 = FlavorNearest3;
+  object.FlavorHeaviest = FlavorHeaviest;
+  object.FlavorHighestPt = FlavorHighestPt;
   object.TauTag = TauTag;
   object.Eem = Eem;
@@ -301,6 +317,6 @@
   object.SoftDroppedP4[4] = SoftDroppedP4[4];
 
-  object.NSubJetsTrimmed     = NSubJetsTrimmed;
-  object.NSubJetsPruned      = NSubJetsPruned;
+  object.NSubJetsTrimmed = NSubJetsTrimmed;
+  object.NSubJetsPruned = NSubJetsPruned;
   object.NSubJetsSoftDropped = NSubJetsSoftDropped;
 
@@ -337,4 +353,18 @@
   IsConstituent = 0;
   BTag = 0;
+  BTagAlgo = 0;
+  BTagDefault = 0;
+  BTagPhysics = 0;
+  BTagNearest2 = 0;
+  BTagNearest3 = 0;
+  BTagHeaviest = 0;
+  BTagHighestPt = 0;
+  FlavorAlgo = 0;
+  FlavorDefault = 0;
+  FlavorPhysics = 0;
+  FlavorNearest2 = 0;
+  FlavorNearest3 = 0;
+  FlavorHeaviest = 0;
+  FlavorHighestPt = 0;
   TauTag = 0;
   Eem = 0.0;
@@ -389,6 +419,6 @@
   }
 
-  NSubJetsTrimmed     = 0;
-  NSubJetsPruned      = 0;
+  NSubJetsTrimmed = 0;
+  NSubJetsPruned = 0;
   NSubJetsSoftDropped = 0;
   
Index: classes/DelphesClasses.h
===================================================================
--- classes/DelphesClasses.h	(revision 8707eebb4a19f7c7f1aa2ced879f327d1bd85a2e)
+++ classes/DelphesClasses.h	(revision a446115ac0282fcc5f2b40e8f4a871e417c0b437)
@@ -243,5 +243,5 @@
 
   // Isolation variables
-  
+
   Float_t IsolationVar;
   Float_t IsolationVarRhoCorr;
@@ -278,5 +278,5 @@
 
   // Isolation variables
-  
+
   Float_t IsolationVar;
   Float_t IsolationVarRhoCorr;
@@ -311,5 +311,5 @@
 
    // Isolation variables
-  
+
   Float_t IsolationVar;
   Float_t IsolationVarRhoCorr;
@@ -345,4 +345,21 @@
 
   UInt_t BTag; // 0 or 1 for a jet that has been tagged as containing a heavy quark
+
+  UInt_t BTagAlgo;
+  UInt_t BTagDefault;
+  UInt_t BTagPhysics;
+  UInt_t BTagNearest2;
+  UInt_t BTagNearest3;
+  UInt_t BTagHeaviest;
+  UInt_t BTagHighestPt;
+
+  UInt_t FlavorAlgo;
+  UInt_t FlavorDefault;
+  UInt_t FlavorPhysics;
+  UInt_t FlavorNearest2;
+  UInt_t FlavorNearest3;
+  UInt_t FlavorHeaviest;
+  UInt_t FlavorHighestPt;
+
   UInt_t TauTag; // 0 or 1 for a jet that has been tagged as a tau
 
@@ -351,22 +368,22 @@
   Float_t EhadOverEem; // ratio of the hadronic versus electromagnetic energy deposited in the calorimeter
 
-  Int_t    NCharged; // number of charged constituents 
-  Int_t    NNeutrals; // number of neutral constituents 
-  Float_t  Beta; // (sum pt of charged pile-up constituents)/(sum pt of charged constituents) 
-  Float_t  BetaStar; // (sum pt of charged constituents coming from hard interaction)/(sum pt of charged constituents) 
-  Float_t  MeanSqDeltaR; // average distance (squared) between constituent and jet weighted by pt (squared) of constituent
-  Float_t  PTD; // average pt between constituent and jet weighted by pt of constituent
-  Float_t  FracPt[5]; // (sum pt of constituents within a ring 0.1*i < DeltaR < 0.1*(i+1))/(sum pt of constituents) 
+  Int_t NCharged; // number of charged constituents
+  Int_t NNeutrals; // number of neutral constituents
+  Float_t Beta; // (sum pt of charged pile-up constituents)/(sum pt of charged constituents)
+  Float_t BetaStar; // (sum pt of charged constituents coming from hard interaction)/(sum pt of charged constituents)
+  Float_t MeanSqDeltaR; // average distance (squared) between constituent and jet weighted by pt (squared) of constituent
+  Float_t PTD; // average pt between constituent and jet weighted by pt of constituent
+  Float_t FracPt[5]; // (sum pt of constituents within a ring 0.1*i < DeltaR < 0.1*(i+1))/(sum pt of constituents)
 
   Float_t Tau[5]; // N-subjettiness
-  
-  TLorentzVector TrimmedP4[5]; //first entry (i = 0) is the total Trimmed Jet 4-momenta and from i = 1 to 4 are the trimmed subjets 4-momenta
-  TLorentzVector PrunedP4[5]; //first entry (i = 0) is the total Pruned Jet 4-momenta and from i = 1 to 4 are the pruned subjets 4-momenta
-  TLorentzVector SoftDroppedP4[5]; //first entry (i = 0) is the total SoftDropped Jet 4-momenta and from i = 1 to 4 are the pruned subjets 4-momenta
-  
-  Int_t    NSubJetsTrimmed; // number of subjets trimmed 
-  Int_t    NSubJetsPruned; // number of subjets pruned 
-  Int_t    NSubJetsSoftDropped; // number of subjets soft-dropped 
-   
+
+  TLorentzVector TrimmedP4[5]; // first entry (i = 0) is the total Trimmed Jet 4-momenta and from i = 1 to 4 are the trimmed subjets 4-momenta
+  TLorentzVector PrunedP4[5]; // first entry (i = 0) is the total Pruned Jet 4-momenta and from i = 1 to 4 are the pruned subjets 4-momenta
+  TLorentzVector SoftDroppedP4[5]; // first entry (i = 0) is the total SoftDropped Jet 4-momenta and from i = 1 to 4 are the pruned subjets 4-momenta
+
+  Int_t NSubJetsTrimmed; // number of subjets trimmed
+  Int_t NSubJetsPruned; // number of subjets pruned
+  Int_t NSubJetsSoftDropped; // number of subjets soft-dropped
+
   TRefArray Constituents; // references to constituents
   TRefArray Particles; // references to generated particles
@@ -437,5 +454,5 @@
   Float_t T; // ecal deposit time, averaged by sqrt(EM energy) over all particles, not smeared
   Int_t   Ntimes; // number of hits contributing to time measurement
-  
+
   Float_t Eem; // calorimeter tower electromagnetic energy
   Float_t Ehad; // calorimeter tower hadronic energy
@@ -497,8 +514,25 @@
   Int_t IsPU;
   Int_t IsRecoPU;
-  
+
   Int_t IsConstituent;
 
   UInt_t BTag;
+
+  UInt_t BTagAlgo;
+  UInt_t BTagDefault;
+  UInt_t BTagPhysics;
+  UInt_t BTagNearest2;
+  UInt_t BTagNearest3;
+  UInt_t BTagHeaviest;
+  UInt_t BTagHighestPt;
+
+  UInt_t FlavorAlgo;
+  UInt_t FlavorDefault;
+  UInt_t FlavorPhysics;
+  UInt_t FlavorNearest2;
+  UInt_t FlavorNearest3;
+  UInt_t FlavorHeaviest;
+  UInt_t FlavorHighestPt;
+
   UInt_t TauTag;
 
@@ -527,12 +561,12 @@
   Float_t  PTD;
   Float_t  FracPt[5];
-  
+
   //Timing information
-  
+
   Int_t    Ntimes;
-  std::vector<std::pair<Float_t,Float_t> > Ecal_E_t; 
+  std::vector<std::pair<Float_t,Float_t> > Ecal_E_t;
 
   // Isolation variables
-  
+
   Float_t IsolationVar;
   Float_t IsolationVarRhoCorr;
@@ -545,14 +579,14 @@
 
   Float_t Tau[5];
-  
+
   // Other Substructure variables
-  
-  TLorentzVector TrimmedP4[5]; //first entry (i = 0) is the total Trimmed Jet 4-momenta and from i = 1 to 4 are the trimmed subjets 4-momenta
-  TLorentzVector PrunedP4[5]; //first entry (i = 0) is the total Pruned Jet 4-momenta and from i = 1 to 4 are the pruned subjets 4-momenta
-  TLorentzVector SoftDroppedP4[5]; //first entry (i = 0) is the total SoftDropped Jet 4-momenta and from i = 1 to 4 are the pruned subjets 4-momenta
- 
-  Int_t    NSubJetsTrimmed; // number of subjets trimmed 
-  Int_t    NSubJetsPruned; // number of subjets pruned 
-  Int_t    NSubJetsSoftDropped; // number of subjets soft-dropped 
+
+  TLorentzVector TrimmedP4[5]; // first entry (i = 0) is the total Trimmed Jet 4-momenta and from i = 1 to 4 are the trimmed subjets 4-momenta
+  TLorentzVector PrunedP4[5]; // first entry (i = 0) is the total Pruned Jet 4-momenta and from i = 1 to 4 are the pruned subjets 4-momenta
+  TLorentzVector SoftDroppedP4[5]; // first entry (i = 0) is the total SoftDropped Jet 4-momenta and from i = 1 to 4 are the pruned subjets 4-momenta
+
+  Int_t NSubJetsTrimmed; // number of subjets trimmed
+  Int_t NSubJetsPruned; // number of subjets pruned
+  Int_t NSubJetsSoftDropped; // number of subjets soft-dropped
 
 
